Mandrake Linux Security Advisory : apache2 (MDKSA-2003:050)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

A memory leak was discovered in Apache 2.0 through 2.0.44 that can
allow a remote attacker to cause a significant denial of service (DoS)
by sending requests containing a lot of linefeed characters to the
server.

As well, Apache does not filter terminal escape sequences from its log
files, which could make it easy for an attacker to insert those
sequences into the error and access logs, which could possibly be
viewed by certain terminal emulators with vulnerabilities related to
escape sequences.

After upgrading these packages, be sure to restart the httpd server by
executing :

service httpd restart

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 14034 (mandrake_MDKSA-2003-050.nasl)

Bugtraq ID:

CVE ID: CVE-2003-0020
CVE-2003-0083
CVE-2003-0132

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now